import { PWFNode } from '../../interface/PWFNode';
export declare class NodeBufferReader {
    private buffer;
    private meshnodeOffPointer;
    private root;
    private stack;
    maxChunkSize: number;
    numNodes: number;
    constructor(buffer: ArrayBuffer);
    parse(): {
        nodes: PWFNode[];
        isComplete: boolean;
    };
    getMeshnodeOffPointer(): number;
    private forEach;
}
